package com.zfire.mall.manager.enums;

import cn.hutool.core.util.EnumUtil;
import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

@Getter
public enum JiaXianCodeVerificationEnum {
    JIAXIAN(1,"广佛设备"),
    SHANGJIA(2,"非广佛设备"),


    ;
    @JsonValue
    @EnumValue
    private Integer key;
    private String value;

    JiaXianCodeVerificationEnum(Integer key, String value){
        this.key=key;
        this.value = value;
    }

    public static String getMsg(String examineStatus) {
        if (StringUtils.isNotBlank(examineStatus)) {
            Map<String, Object> enumMap = EnumUtil.getNameFieldMap(JiaXianCodeVerificationEnum.class, "value");
            return enumMap.get(examineStatus).toString();
        }
        return "";
    }
}
